/*
* @Author: Rot
* @Date:   2017-11-20 15:30:03
* @Last Modified by:   Rot
* @Last Modified time: 2017-12-10 22:57:03
*/

[ge-correct].ge-active .ge-correct-icon {
    border-color: var(--ge-primary-color);
    color: var(--ge-primary-color);
    font-weight: 600;
}

ge-answer {
    padding-left: 52px;
    margin-bottom: 4px;
}

ge-answer .ge-table:after {
    content: "";
    clear: both;
    display: table;
}
ge-answer .ge-left {
    float: left;

}

ge-answer .ge-space {
    margin-left: 48px;
    padding-top: 5px;
    padding-bottom: 5px;
}

.ge-correct-icon {
    width: 32px;
    height: 32px;
}
.ge-correct-icon span {
    top: 3px;
    font-size: 21px;
}

.ge-section .ge-bottom-8
{
    margin-bottom: 8px;
}

.ge-write-question .ge-section {
    padding-left: 58px;
    margin-bottom: 16px;
}

.ge-section .ge-absolute, .ge-setting-text .ge-absolute {
    position: absolute;
    display: none;
    padding-top: 6px;
    padding-bottom: 6px;
    top: 0;
} 
.ge-section .ge-block { display: block;}

ge-question { margin-bottom: 8px; }

.ge-write-question {
    max-width: var(--ge-main-small-width);
    margin: 0 auto;
}
.ge-section-space {
    padding-top: 24px;
    padding-bottom: 32px;
}
.ge-button-icon {
    color: var(--ge-primary-text-color);
    fill: var(--ge-primary-text-color);
    transition: color .3s, fill .3s;
    -webkit-transition: color .3s, fill .3s;
}
[ge-correct] {
    pointer-events: none;
}
[ge-correct][data-question][data-answer] {
    pointer-events: initial;
}

.ge-button-icon:hover {
    color: var(--ge-primary-text-dark-color);
    fill: var(--ge-primary-text-dark-color);

}

.ge-button-icon:hover .ge-icon
{
    border-color: var(--ge-primary-text-dark-color);
}

.ge-button-icon .ge-icon {
    border-radius: 100%;
    display: inline-block;
    border: 1px solid var(--ge-primary-text-color);
}

.ge-answer-icon {
    width: 40px;
    height: 40px;
}
.ge-question-icon, .ge-import-icon {
    width: 46px;
    height: 46px;
}

.ge-icon .ge-relative {
    font-family: 'Roboto';
}

.ge-answer-icon .ge-relative {
    top: 4px;
    font-size: 25px;
}

.ge-question-icon .ge-relative {
    top: 5px;
    font-size: 28px;
}

.ge-import-icon .ge-relative {
    top: 6px;
    font-size: 28px;
}

.ge-paragraph .ge-placeholder {
    top: 6px;
}
.ge-question-content {
    
    font-size: 18px;
}
.ge-absolute .ge-placeholder {
    position: relative;
}

.ge-writer-space {
    padding-top: 4px;
    padding-bottom: 6px; 
}
.ge-new-text {
    font-size: 15px;
    position: relative;
    display: inline-block;
    padding-left: 12px;
}
.ge-count {
    position: relative;
    font-size: 12.8px;
    padding-top: 8px;
    padding-bottom: 2px;
    text-transform: uppercase;
    color: var(--ge-primary-text-color);
}
.ge-setting-text .ge-placeholder {
    top: 0;
}
.ge-answer.ge-active {
    color: var(--ge-primary-color);
}

.ge-section .ge-paragraph {
    font-size: inherit;
    position: relative;
    z-index: 1;
}

div.ge-paragraph {
    font-size: 16px;
}
